"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _moment = _interopRequireDefault(require("moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FormattedDate(props) {
  var date = props.date;
  console.log(date);

  if (!date || date === '') {
    date = '';
  } else if (date.indexOf('-') === -1) {
    if (date.length === 8) {
      var year = date[0] + date[1] + date[2] + date[3];
      var month = date[4] + date[5];
      var day = date[6] + date[7];
      date = "".concat(month, "-").concat(day, "-").concat(year);
    }
  } else {
    date = (0, _moment.default)(date).format("MM-DD-YYYY");
  }

  return /*#__PURE__*/_react.default.createElement("span", null, date);
}

var _default = FormattedDate;
exports.default = _default;