"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function PartnerSpan(props) {
  return /*#__PURE__*/_react.default.createElement("span", null, [props.partnerId, partnerName(props.partnerId, props.pageComponent.state.associatedPartners)].join(' - '));
}

function partnerName(partnerId, associatedPartners) {
  if (associatedPartners[partnerId]) {
    return associatedPartners[partnerId].name;
  } else {
    return '';
  }
}

var _default = PartnerSpan;
exports.default = _default;