"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _BaseModel2 = _interopRequireDefault(require("./BaseModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Transaction = /*#__PURE__*/function (_BaseModel) {
  _inherits(Transaction, _BaseModel);

  var _super = _createSuper(Transaction);

  function Transaction() {
    var _this;

    _classCallCheck(this, Transaction);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "saveStatusData", function (currentUser, data) {
      return Transaction.signedPut("/v1/edi".concat(_this.ediVersionId), data, currentUser.authToken);
    });

    return _this;
  }

  _createClass(Transaction, null, [{
    key: "dummyTransaction",
    value: function dummyTransaction(id) {
      var random = parseInt(Math.random() * 10) % 3;
      var transactionType = [204, 210, 214][random];
      return {
        "tsuCode": 1,
        "senderPartnerId": "70000020",
        "receiverPartnerId": "70000021",
        "senderIsaId": "NTGROUP211     ",
        "receiverIsaId": "GMCORP800      ",
        "bpiLogId": id,
        "invoiceNumber": "PRONUMBER",
        "invoiceDate": "20040805",
        "deliveryDate": "20040809",
        "deliveryDateQualifier": "017",
        "stControlNumber": "Transaction ID Num",
        "shipmentNumber": "Shipment ID Number12",
        "shipmentDate": "20040805",
        "scacCode": "CNWY",
        "proNumber": "Reference Identification",
        "datafileTypeId": 1,
        "ediTypeId": 5,
        "ediVersionId": transactionType,
        "createdBy": "70000020",
        "createdDate": "2021-06-28 12:29:22",
        "status": 1,
        "payMethod": "PP",
        "lstFreightHeaderAddress": [{
          "headerAddId": 1,
          "addressCode": "SH",
          "addressLine1": "Address Information",
          "city": "City Name",
          "zipCode": "Postal Code",
          "state": "St",
          "country": "US",
          "contactPersonName": ""
        }, {
          "headerAddId": 2,
          "addressCode": "CN",
          "addressLine1": "Address Information",
          "city": "City Name",
          "zipCode": "Postal Code",
          "state": "St",
          "country": "US",
          "contactPersonName": ""
        }, {
          "headerAddId": 3,
          "addressCode": "BT",
          "addressLine1": "Address Information",
          "city": "City Name",
          "zipCode": "Postal Code",
          "state": "St",
          "country": "US",
          "contactPersonName": ""
        }],
        "freightHeaderMessage": {
          "headerMessageId": 1,
          "messageCode": "",
          "message": ""
        },
        "lstFreightLine": [{
          "bpiLineId": 1,
          "itemNumber": "1",
          "itemDescription": "Lading Description continued",
          "itemWeightQualifier": "G",
          "itemWeight": "2442",
          "itemQuantity": 509,
          "itemQuantityQualifier": "BDL",
          "itemWeightUnitCode": "L",
          "itemCharge": 325.41,
          "itemChargeQualifier": "FR",
          "itemTotalCharge": "32541",
          "tariffCode": "CNWY",
          "tariffNumber": "5350",
          "classCode": "55"
        }, {
          "bpiLineId": 2,
          "itemNumber": "2",
          "itemDescription": "XPO DISCOUNT SAVES YOU",
          "itemQuantity": 0,
          "itemChargeQualifier": "",
          "itemTotalCharge": "-4023",
          "itemChargeAllowanceCode": "DSC",
          "tariffCode": "CNWY",
          "tariffNumber": "5350"
        }, {
          "bpiLineId": 3,
          "itemNumber": "3",
          "itemDescription": "FSC FUEL SURCHARGE 8.30% ....",
          "itemQuantity": 0,
          "itemCharge": 30.82,
          "itemChargeQualifier": "FR",
          "itemTotalCharge": "3082",
          "itemChargeAllowanceCode": "FUE",
          "tariffCode": "CNWY",
          "tariffNumber": "110"
        }],
        "freightSummary": {
          "summId": 1,
          "weight": "2442",
          "invoiceNetAmount": "27409",
          "qualifier": "G",
          "freightRate": 10484,
          "freightRateQualifier": "MN",
          "freightCharge": 27409,
          "ladingQuantity": 509,
          "ladingQuantityCode": "L",
          "totalLines": 3
        },
        "isacontrolNumber": "000000025"
      };
    }
  }]);

  return Transaction;
}(_BaseModel2.default);

exports.default = Transaction;

_defineProperty(Transaction, "search", function (currentUser, searchParams, pageNo, pageSize) {
  pageNo = !pageNo ? 0 : pageNo - 1;
  pageSize = !pageSize ? 10 : pageSize > 20 ? 10 : 0;

  if (!searchParams) {
    searchParams = {
      "filterType": "DEFAULT",
      "pageNo": pageNo,
      "pageSize": pageSize,
      "partnerId": currentUser.partnerId
    };
  } else {
    searchParams.pageNo = pageNo;
    searchParams.pageSize = pageSize;
  }

  return Transaction.signedPost("/v1/freight/trnsearch", searchParams, currentUser.authToken);
});

_defineProperty(Transaction, "fetchByBpiLogId", function (currentUser, transactionType, bpiLogId) {
  return Transaction.signedGet("/v1/trnlog/".concat(bpiLogId, "/").concat(transactionType), {}, currentUser.authToken);
});

_defineProperty(Transaction, "fetchTrail", function (currentUser, bpiLogId) {
  return Transaction.signedGet("/v1/trail/".concat(bpiLogId), {}, currentUser.authToken);
});

_defineProperty(Transaction, "dummyResponse", function (pageNumber, perPage) {
  pageNumber = parseInt(pageNumber);
  perPage = parseInt(perPage);
  return {
    data: {
      meta: {
        page: pageNumber,
        per_page: 10,
        total_records: 99
      },
      transactions: Transaction.dummyTransactions(pageNumber, perPage)
    }
  };
});

_defineProperty(Transaction, "dummyTransactions", function (pageNumber, perPage) {
  var arr = [];

  for (var inx = 1; inx <= perPage; inx++) {
    arr.push(new Transaction(Transaction.dummyTransaction((pageNumber - 1) * perPage + inx)));
  }

  return arr;
});