"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var AppRouter = /*#__PURE__*/function () {
  function AppRouter(path, path_name, pageComponent, pathFunction) {
    var _this = this;

    _classCallCheck(this, AppRouter);

    _defineProperty(this, "page", function (app) {
      return /*#__PURE__*/_react.default.createElement(_this.pageComponent, {
        app: app
      }, []);
    });

    console.log(AppRouter.baseDir);
    this.path = "".concat(AppRouter.baseDir || '').concat(path);
    this.path_name = path_name;
    this.pageComponent = (0, _reactRouterDom.withRouter)(pageComponent);
    this.pathFunction = pathFunction;
    AppRouter.routes[this.path_name] = this;
  }

  _createClass(AppRouter, null, [{
    key: "getUrl",
    value: function getUrl(path_name, pathVariables) {
      var appRouter = AppRouter.getAppRouter(path_name);
      var path = AppRouter.getPath(path_name);

      if (appRouter.pathFunction) {
        return "".concat(AppRouter.publicUrl).concat(path);
      } else {
        return path;
      }
    }
  }, {
    key: "getPath",
    value: function getPath(path_name, pathVariables) {
      var appRouter = AppRouter.getAppRouter(path_name);

      if (appRouter.pathFunction) {
        return "".concat(AppRouter.baseDir || '').concat(appRouter.pathFunction(pathVariables));
      } else {
        return AppRouter.getAppRouter(path_name).path;
      }
    }
  }, {
    key: "getAppRouter",
    value: function getAppRouter(path_name) {
      return AppRouter.routes[path_name];
    }
  }]);

  return AppRouter;
}();

exports.default = AppRouter;

_defineProperty(AppRouter, "setBaseDir", function (baseDir) {
  AppRouter.baseDir = baseDir;
});

_defineProperty(AppRouter, "setPublicUrl", function (publicUrl) {
  AppRouter.publicUrl = publicUrl;
});

AppRouter.routes = {};