import React, { Fragment } from 'react';

export default class EditableInput extends React.Component {
  constructor(props) {
    super(props);
    this.state = {value: this.props.value, options: this.props.options, type: (this.props.type || 'text')};
  }

  render() {
    return <Fragment>
      {!this.props.editMode && <span className="display-field-value">{this.state.value}</span>}
      {this.props.editMode && this.state.type === 'text' && <input type="text" className={`form-control display-field-value ${(this.props.className || '')}`} defaultValue={this.state.value} onChange={this.props.onChange}/>}
    </Fragment>
  }
}
