import React from 'react';
import { Row, Col } from 'reactstrap';

export default class Footer extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return <div className="site-footer bottom-0">
      <div className="container-fluid">
        <Row>
          <Col className="text-center">
            <a href="https://cintap.com/contact" target="_blank">Contact</a>

            <a href="https://cintap.com/privacy-policy" target="_blank">Privacy Policy</a>

            <a href="https://cintap.com/terms-and-conditions" target="_blank">Terms & Conditions</a>
          </Col>
        </Row>
        <Row style={{position: 'absolute', width: '100%', bottom: '24px'}}>
          <Col>
            <span className="float-start footer-info">COPYRIGHT © 2021 CINTAP, INC - ALL RIGHTS RESERVED</span>
          </Col>
          <Col>
            <span className="float-end footer-info">6160 WARREN PKWY SUITE 100, FRISCO, TEXAS 75034</span>
          </Col>
        </Row>
      </div>
    </div>
  }
}
