import React from 'react';
import moment from 'moment';

function FormattedDate(props) {
  let date = props.date;
  console.log(date);
  if(!date || date === '') {
    date = '';
  } else if(date.indexOf('-') === -1) {
    if(date.length === 8) {
      let year = date[0] + date[1] + date[2] + date[3];
      let month = date[4] + date[5];
      let day = date[6] + date[7];
      date = `${month}-${day}-${year}`;
    }
  } else {
    date = moment(date).format("MM-DD-YYYY");
  }
  return (
    <span>{date}</span>
  )
}

export default FormattedDate;
