"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRouterDom = require("react-router-dom");

var _reactstrap = require("reactstrap");

var _AppRouter = _interopRequireDefault(require("../utils/AppRouter"));

var _Helpers = _interopRequireDefault(require("../utils/Helpers"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SitePagination = /*#__PURE__*/function (_React$Component) {
  _inherits(SitePagination, _React$Component);

  var _super = _createSuper(SitePagination);

  function SitePagination(props) {
    var _this;

    _classCallCheck(this, SitePagination);

    _this = _super.call(this, props);

    _defineProperty(_assertThisInitialized(_this), "createArrayOf", function (n) {
      var i = 1;
      var arr = [];

      for (; i <= n; i++) {
        arr.push(i);
      }

      return arr;
    });

    _defineProperty(_assertThisInitialized(_this), "firstPageClicked", function () {
      if (_this.state.pageNo !== 1) {
        _this.paginationLinkClicked(1);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "previousPageClicked", function () {
      if (_this.state.pageNo > 1) {
        _this.paginationLinkClicked(_this.state.pageNo - 1);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "paginationLinkClicked", function (pageNo) {
      if (_this.state.pageNo !== pageNo) {
        _this.setState({
          pageNo: pageNo,
          redirectionNeeded: true
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "nextPageClicked", function () {
      if (_this.state.pageNo < _this.props.pegable.totalPages) {
        _this.paginationLinkClicked(_this.state.pageNo + 1);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "lastPageClicked", function () {
      if (_this.props.pegable.totalPages !== _this.state.pageNo) {
        _this.paginationLinkClicked(_this.props.pegable.totalPages);
      }
    });

    _this.state = {
      pageNo: _this.props.pegable.pageNo + 1
    };
    return _this;
  }

  _createClass(SitePagination, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.setState({
        redirectionNeeded: false
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactstrap.Pagination, {
        "aria-label": "pagination",
        className: "".concat(this.props.className || '')
      }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationItem, {
        className: "".concat(this.state.pageNo === 1 ? 'disabled' : '')
      }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationLink, {
        style: {
          cursor: 'pointer'
        },
        tag: "button",
        "aria-label": " ",
        first: true,
        onClick: this.firstPageClicked
      })), /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationItem, {
        className: "".concat(this.state.pageNo === 1 ? 'disabled' : '')
      }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationLink, {
        style: {
          cursor: 'pointer'
        },
        tag: "button",
        "aria-label": " ",
        previous: true,
        onClick: this.previousPageClicked
      })), this.props.pegable.totalPages >= 5 && this.createArrayOf(5).map(function (pageNo) {
        return /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationItem, {
          className: "".concat(_this2.state.pageNo === pageNo ? 'active' : ''),
          key: _Helpers.default.randomNumber
        }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationLink, {
          style: {
            cursor: 'pointer'
          },
          tag: "button",
          onClick: function onClick() {
            return _this2.paginationLinkClicked(pageNo);
          }
        }, pageNo));
      }), this.props.pegable.totalPages < 5 && this.createArrayOf(this.props.pegable.totalPages).map(function (pageNo) {
        return /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationItem, {
          className: "".concat(_this2.state.pageNo === pageNo ? 'active' : ''),
          key: _Helpers.default.randomNumber
        }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationLink, {
          style: {
            cursor: 'pointer'
          },
          tag: "button",
          onClick: function onClick() {
            return _this2.paginationLinkClicked(pageNo);
          }
        }, pageNo));
      }), /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationItem, {
        className: "".concat(this.state.pageNo === this.props.pegable.totalPages ? 'disabled' : '')
      }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationLink, {
        style: {
          cursor: 'pointer'
        },
        tag: "button",
        "aria-label": " ",
        next: true,
        onClick: this.nextPageClicked
      })), /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationItem, {
        className: "".concat(this.state.pageNo === this.props.pegable.totalPages ? 'disabled' : '')
      }, /*#__PURE__*/_react.default.createElement(_reactstrap.PaginationLink, {
        style: {
          cursor: 'pointer'
        },
        tag: "button",
        "aria-label": " ",
        last: true,
        onClick: this.lastPageClicked
      }))), this.state.redirectionNeeded && /*#__PURE__*/_react.default.createElement(_reactRouterDom.Redirect, {
        exact: true,
        to: {
          pathname: _AppRouter.default.getPath('redirection'),
          state: {
            to: {
              pathname: this.props.paginationPath,
              search: "?page=".concat(this.state.pageNo),
              exact: true
            }
          }
        }
      }));
    }
  }]);

  return SitePagination;
}(_react.default.Component);

var _default = (0, _reactRouterDom.withRouter)(SitePagination);

exports.default = _default;