import React from 'react';

function PartnerSpan(props) {
  return (
    <span>{[props.partnerId, partnerName(props.partnerId, props.pageComponent.state.associatedPartners)].join(' - ')}</span>
  )
}

function partnerName(partnerId, associatedPartners) {
  if(associatedPartners[partnerId]) {
    return associatedPartners[partnerId].name;
  } else {
    return '';
  }
}

export default PartnerSpan;
